# Uses of Interface
org.apache.avro.io.DatumWriter

Packages that use DatumWriter
Package
Description
org.apache.avro.data
Interfaces and base classes shared by generic, specific and reflect.
org.apache.avro.file
A container file for Avro data.
org.apache.avro.generic
A generic representation for Avro data.
org.apache.avro.reflect
Use Java reflection to generate schemas and protocols for existing classes.
org.apache.avro.specific
Generate specific Java classes for schemas and protocols.

## Uses of DatumWriter in org.apache.avro.data

Classes in org.apache.avro.data that implement DatumWriter
Modifier and Type
Class
Description
`static class`
`Json.ObjectWriter`
`DatumWriter` for arbitrary Json data using the object model described in `JsonProperties`.

## Uses of DatumWriter in org.apache.avro.file

Constructors in org.apache.avro.file with parameters of type DatumWriter
Modifier
Constructor
Description
``
`DataFileWriter(DatumWriter<D> dout)`
Construct a writer, not yet open.

## Uses of DatumWriter in org.apache.avro.generic

Classes in org.apache.avro.generic that implement DatumWriter
Modifier and Type
Class
Description
`class`
`GenericDatumWriter<D>`
`DatumWriter` for generic Java objects.
Methods in org.apache.avro.generic that return DatumWriter
Modifier and Type
Method
Description
`DatumWriter`
GenericData.`createDatumWriter(Schema schema)`
Returns a `DatumWriter` for this kind of data.

## Uses of DatumWriter in org.apache.avro.reflect

Classes in org.apache.avro.reflect that implement DatumWriter
Modifier and Type
Class
Description
`class`
`ReflectDatumWriter<T>`
`DatumWriter` for existing classes via Java reflection.
Methods in org.apache.avro.reflect that return DatumWriter
Modifier and Type
Method
Description
`DatumWriter`
ReflectData.`createDatumWriter(Schema schema)`

## Uses of DatumWriter in org.apache.avro.specific

Classes in org.apache.avro.specific that implement DatumWriter
Modifier and Type
Class
Description
`class`
`SpecificDatumWriter<T>`
`DatumWriter` for generated Java classes.
Methods in org.apache.avro.specific that return DatumWriter
Modifier and Type
Method
Description
`DatumWriter`
SpecificData.`createDatumWriter(Schema schema)`